Bug 1266806 - Review Request: springframework-social-twitter - Spring Social Twitter API binding and connect support
Review Request: springframework-social-twitter - Spring Social Twitter API bi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 1266805
Blocks: 1266804
  Show dependency treegraph
 
Reported: 2015-09-27 21:46 EDT by gil cattaneo
Modified: 2015-11-21 21:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 21:23:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-09-27 21:46:20 EDT
Spec URL: https://gil.fedorapeople.org/springframework-social-twitter.spec
SRPM URL: https://gil.fedorapeople.org/springframework-social-twitter-1.0.5-1.fc22.src.rpm
Description:
Spring Social Twitter is an extension of Spring Social that enables you to
connection your application with Twitter's REST API.
Fedora Account System Username: gil
Comment 1 Tom "spot" Callaway 2015-11-10 15:16:07 EST
Bonus review!

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (ASL 2.0) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream (19aa299a36e66c4366e699a6c6bcb06e0b5459e7b8652f5d556fe5950fc0739a)
- package compiles on f23 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- javadoc okay
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
Comment 3 Gwyn Ciesla 2015-11-11 09:19:54 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/springframework-social-twitter
Comment 4 Fedora Update System 2015-11-11 10:40:22 EST
springframework-social-twitter-1.0.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-272f1c6838
Comment 5 Fedora Update System 2015-11-11 22:57:40 EST
springframework-social-twitter-1.0.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update springframework-social-twitter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-272f1c6838
Comment 6 Fedora Update System 2015-11-21 21:23:56 EST
springframework-social-twitter-1.0.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.